This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 23572

Summary: Mount src.zip automatically
Product: java Reporter: Torbjorn Norbye <tor>
Component: UnsupportedAssignee: issues@java <issues>
Status: CLOSED FIXED    
Severity: blocker    
Priority: P2    
Version: 3.x   
Hardware: Sun   
OS: SunOS   
Issue Type: ENHANCEMENT Exception Reporter:
Bug Depends on: 23816    
Bug Blocks:    

Description Torbjorn Norbye 2002-05-15 23:21:35 UTC
In jdk1.4, src.zip no longer contains the annoying
additional
"src" directory at the top. Therefore, a user can
just mount
src.zip and suddenly exception stacktraces for
their program
include hyperlinks right into the jdk source code etc.

Since NetBeans knows WHERE the jdk is located, and
knows which
version it is, it could automatically mount src.zip.
And in this bug report I'm arguing that it should.
Also note that
JBuilder does the same thing.

I've filed this bug against the java category,
since arguably
the JDK source code is interesting primarily for
java development,
so conceivably the filesystem mount should be done
by the
java module's layer file.

The debugger should also be able to take advantage
of this.
You should be able to walk up and down the stack
and view
JDK source code as well, and you should be able to
step into
jdk methods. There is a possible complication here
in that
the jdk may not have symbolic information compiled
in - so that 
means you may have to compile a class on the fly
in order to
get linenumber information etc. If necessary,
transer this
bugreport to the debuggermodule when the mount is
done, or
file a new bug.
Comment 1 Svata Dedic 2002-05-17 08:38:21 UTC
This feature depends on the concept of "JDK" or more generaly
source+code pairs bundled as libraries, which is defined only
implicitly in NetBeans. It's planned as a part of project system
rewrite; movn milestone to 4.0.

Comment 2 Jan Becicka 2003-02-18 10:49:42 UTC
Editor module mounts src.zip automatically, 
isn't it?
Comment 3 Jan Becicka 2003-11-25 14:02:36 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.

Marking issue as VERIFIED --->
Comment 4 Jan Becicka 2003-11-25 14:11:29 UTC
---> CLOSED